Package: dpdk / 16.11.9-1+deb9u1

Metadata

Package Version Patches format
dpdk 16.11.9-1+deb9u1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
fix vhost user socket permission.patch | (download)

doc/guides/testpmd_app_ug/run_app.rst | 19 19 + 0 - 0 !
lib/librte_eal/common/eal_common_options.c | 2 2 + 0 - 0 !
lib/librte_eal/common/eal_options.h | 4 4 + 0 - 0 !
lib/librte_eal/common/include/rte_eal.h | 5 5 + 0 - 0 !
lib/librte_eal/linuxapp/eal/eal.c | 190 190 + 0 - 0 !
lib/librte_eal/linuxapp/eal/rte_eal_version.map | 1 1 + 0 - 0 !
lib/librte_vhost/socket.c | 3 3 + 0 - 0 !
7 files changed, 224 insertions(+)

 eal: provide option to set vhost_user socket owner/permissions

The API doesn't hold a way to specify a owner/permission set for vhost_user
created sockets.

Projects consuming DPDK started to do 'their own workarounds' like openvswitch
https://patchwork.ozlabs.org/patch/559043/
https://patchwork.ozlabs.org/patch/559045/
But for this specific example they are blocked/stalled behind a bigger
rework (https://patchwork.ozlabs.org/patch/604898/).

We need something now for existing code linking against DPDK. That implies to
avoid changing API/ABI. So I created a DPDK EAL commandline option based ideas
in the former patches.

Fixes LP: #1546565

*Update*
 - with the split libs it now nees to be listed in
   lib/librte_eal/linuxapp/eal/rte_eal_version.map to work on link steps
 - please note that upstream gravitates towards not extending but creating a
   new the API in DPDK as long term solution (will take a while)
 - also as listed before most affected projects seem to create their own
   workaround.
 So over time we have to check when we can drop it at the price of a config
 transition - likely OVS 2.6 won't need it anymore.

*Update*
 - the handling and lifecycle of this changed in Openvswitch 2.7 so we can no
   more use internal_config.
 - Also the upstreaming was aborted as that now clearly goes towards client
   mode vhost sockets for this (and other issues).
 - But until that is fully working we have to carry the workaround.
 - Updated to work with Openvswitch 2.7 (and backward compatible to 2.6)

fix power default config.patch | (download)

config/defconfig_ppc_64-power8-linuxapp-gcc | 1 0 + 1 - 0 !
1 file changed, 1 deletion(-)

 config: fix power8 default conf

Latest dpdk FTBFS for power8 default config.
This (re-)enables a config symbol as recommended by IBM
(gowrishankar.m@in.ibm.com)

Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>